ru.bitel.bgbilling.modules.tv.access.om

## Class AbstractOrderEvent

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent

- Direct Known Subclasses:
    AccountOrderEvent, ProductOrderEvent

      public abstract class AbstractOrderEvent
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `filterByDepends`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess, Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, java.util.Set<java.lang.Integer> oldDeviceOptionIds, java.util.Set<java.lang.Integer> newDeviceOptionIds)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<java.lang.Integer,ProductSpecRuntime>` | `filterProductSpecByDepends(java.util.Map<java.lang.Integer,ProductSpecRuntime> map)`
    `int` | `getContractId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptionIdsToDisable()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptionIdsToEnable()`
    `java.util.List<ProductSpec>` | `getDeviceOptionProductSpecSetToDisable()`
    `java.util.List<ProductSpec>` | `getDeviceOptionProductSpecSetToEnable()`
    `java.util.List<ProductEntry>` | `getFullProductEntryList(short newState)` Deprecated.
    `abstract java.util.List<ProductEntry>` | `getFullProductEntryListToEnable()`
    `protected abstract java.util.Map<java.lang.Integer,ProductSpecRuntime>` | `getFullProductSpecRuntimeMapToEnable()`
    `java.util.Set<ProductSpecRuntime>` | `getFullProductSpecRuntimeSetToEnable()`
    `java.util.Set<ProductSpec>` | `getFullProductSpecSetToEnable()`
    `java.util.Set<ServiceSpecRuntime>` | `getFullServiceSpecRuntimeSetToEnable()`
    `java.util.Set<ServiceSpec>` | `getFullServiceSpecSetToEnable()`
    `java.util.Set<TvChannelSpec>` | `getFullTvChannelSpecSetToEnable()`
    `java.util.Set<java.lang.Integer>` | `getNewDeviceOptionIds()`
    `java.util.List<ProductSpec>` | `getNewDeviceOptionProductSpecs()`
    `java.util.Set<java.lang.Integer>` | `getOldDeviceOptionIds()`
    `java.util.List<ProductSpec>` | `getOldDeviceOptionProductSpecs()`
    `java.util.List<ProductSpec>` | `getProductSpecList(java.util.Collection<java.lang.Integer> productSpecIds)`
    `java.util.List<ProductSpecRuntime>` | `getProductSpecRuntimeList(java.util.Collection<java.lang.Integer> productSpecIds)`
    `static java.util.List<TvAccount>` | `getTvAccountChildren(TvAccountRuntimeMap tvAccountRuntimeMap, int tvAccountId, long millis)`
    `int` | `getTvAccountId()`
    `TvAccountRuntime` | `getTvAccountRuntime()`
    `boolean` | `isFilterByDepends()`
    `boolean` | `isOptionsModified()`
    `void` | `setFilterByDepends(boolean filterByDepends)`
    `void` | `setNewDeviceOptionIds(java.util.Set<java.lang.Integer> newDeviceOptionIds)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filterByDepends

          protected boolean filterByDepends

  - ### Constructor Detail

    - #### AbstractOrderEvent

          public AbstractOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess,
                                    Event event,
                                    int deviceId,
                                    TvAccountRuntime tvAccountRuntime,
                                    int eventType,
                                    int tvAccountId,
                                    TvAccountSpec tvAccountSpec,
                                    java.util.Set<java.lang.Integer> oldDeviceOptionIds,
                                    java.util.Set<java.lang.Integer> newDeviceOptionIds)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### getTvAccountId

          public int getTvAccountId()

    - #### getTvAccountRuntime

          public TvAccountRuntime getTvAccountRuntime()

    - #### getFullProductEntryList

          @Deprecated
          public final java.util.List<ProductEntry> getFullProductEntryList(short newState)
                                                                                 throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductEntryListToEnable

          public abstract java.util.List<ProductEntry> getFullProductEntryListToEnable()
                                                                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductSpecRuntimeMapToEnable

          protected abstract java.util.Map<java.lang.Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable()
                                                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductSpecRuntimeSetToEnable

          public java.util.Set<ProductSpecRuntime> getFullProductSpecRuntimeSetToEnable()
                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductSpecSetToEnable

          public java.util.Set<ProductSpec> getFullProductSpecSetToEnable()
                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullServiceSpecSetToEnable

          public java.util.Set<ServiceSpec> getFullServiceSpecSetToEnable()
                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullServiceSpecRuntimeSetToEnable

          public java.util.Set<ServiceSpecRuntime> getFullServiceSpecRuntimeSetToEnable()
                                                                                 throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullTvChannelSpecSetToEnable

          public java.util.Set<TvChannelSpec> getFullTvChannelSpecSetToEnable()
                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isOptionsModified

          public boolean isOptionsModified()

    - #### getOldDeviceOptionIds

          public java.util.Set<java.lang.Integer> getOldDeviceOptionIds()

    - #### getNewDeviceOptionIds

          public java.util.Set<java.lang.Integer> getNewDeviceOptionIds()

    - #### getDeviceOptionIdsToEnable

          public java.util.Set<java.lang.Integer> getDeviceOptionIdsToEnable()

    - #### getDeviceOptionIdsToDisable

          public java.util.Set<java.lang.Integer> getDeviceOptionIdsToDisable()

    - #### setNewDeviceOptionIds

          public void setNewDeviceOptionIds(java.util.Set<java.lang.Integer> newDeviceOptionIds)

    - #### getProductSpecList

          public java.util.List<ProductSpec> getProductSpecList(java.util.Collection<java.lang.Integer> productSpecIds)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getProductSpecRuntimeList

          public java.util.List<ProductSpecRuntime> getProductSpecRuntimeList(java.util.Collection<java.lang.Integer> productSpecIds)
                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDeviceOptionProductSpecSetToEnable

          public java.util.List<ProductSpec> getDeviceOptionProductSpecSetToEnable()
                                                                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDeviceOptionProductSpecSetToDisable

          public java.util.List<ProductSpec> getDeviceOptionProductSpecSetToDisable()
                                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNewDeviceOptionProductSpecs

          public java.util.List<ProductSpec> getNewDeviceOptionProductSpecs()
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getOldDeviceOptionProductSpecs

          public java.util.List<ProductSpec> getOldDeviceOptionProductSpecs()
                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isFilterByDepends

          public boolean isFilterByDepends()

    - #### setFilterByDepends

          public void setFilterByDepends(boolean filterByDepends)

    - #### filterProductSpecByDepends

          protected final java.util.Map<java.lang.Integer,ProductSpecRuntime> filterProductSpecByDepends(java.util.Map<java.lang.Integer,ProductSpecRuntime> map)

    - #### getTvAccountChildren

          public static java.util.List<TvAccount> getTvAccountChildren(TvAccountRuntimeMap tvAccountRuntimeMap,
                                                                       int tvAccountId,
                                                                       long millis)